import { ComponentLifecycle, ComponentType, ReactNode, PropsWithChildren, ReactElement } from "react";
declare type ComponentDidCatch = ComponentLifecycle<{}, {}>["componentDidCatch"];
export declare function ErrorBoundaryContext({ children, }: {
    children?: ReactNode | undefined;
}): JSX.Element;
export declare namespace ErrorBoundaryContext {
    var displayName: string;
}
export declare function withErrorBoundary<Props = Record<string, unknown>>(WrappedComponent: ComponentType<Props>): (props: PropsWithChildren<Props>) => ReactElement<any, any>;
declare type UseErrorBoundaryReturn = [
    error: Error | undefined,
    resetError: () => void
];
export declare function useErrorBoundary(componentDidCatch?: ComponentDidCatch): UseErrorBoundaryReturn;
export {};
